FITYK(1)

NAME
fityk - non-linear curve fitting and data analysis

SYNOPSIS
fityk
cfityk

DESCRIPTION
This manpage documents briefly the fityk and cfityk programs, flexible and portable program for nonlinear fitting of analytical functions (especially peak-shaped) to data (usually experimental data). In other words, for nonlinear peak separation and analysis.
It was developed for analyzing diffraction patterns, but can be also used in other fields, since concepts and operations specific for crystallography are separated from the rest of the program.
Fityk offers various nonlinear fitting methods, subtracting background, calibrating data, easy placement of peaks and changing peak parameters, automation of common tasks with scripts, and much more. The main advantage of the program is a flexibility - parameters of peaks can be arbitrarily binded with each other, eg. width of peak can be an independent variable, can be the same as width of other peak or can be given by complicated - common for all peaks - formula.
The program comes in two versions: fityk , the GUI version and cfityk , the command line version.
A user manual for fityk and cfityk can be found in /usr/share/doc/fityk/fitykhelp.html.

OPTIONS
This program requires no options.

AUTHOR
This manual page was written by Carlo Segre <segre@iit.edu>, for the Debian GNU/Linux system (but may be used by others).